Close backfill (server-authoritative)
curl --request POST \
--url https://api.computeflow.cloud/api/v3/servers/{instance_id}/backfill/lock \
--header 'api-key: <api-key>'import requests
url = "https://api.computeflow.cloud/api/v3/servers/{instance_id}/backfill/lock"
headers = {"api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'api-key': '<api-key>'}};
fetch('https://api.computeflow.cloud/api/v3/servers/{instance_id}/backfill/lock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.computeflow.cloud/api/v3/servers/{instance_id}/backfill/lock",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.computeflow.cloud/api/v3/servers/{instance_id}/backfill/lock"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.computeflow.cloud/api/v3/servers/{instance_id}/backfill/lock")
.header("api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.computeflow.cloud/api/v3/servers/{instance_id}/backfill/lock")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"match_id": "<string>",
"instance_id": "<string>",
"status": "in_game",
"backfill_open": true,
"backfill_deadline": "2023-11-07T05:31:56Z",
"skill_band": {
"field": "<string>",
"min": 123,
"max": 123
},
"roster_version": 123
}{
"error": "<string>",
"status": 123,
"detail": "<string>"
}Servers
Close backfill (server-authoritative)
Closes backfill for the match backing this server — no further joiners are admitted. Convenience shorthand for PATCH /{instance_id}/backfill with accepting: false.
Requires a server API key (pf_...).
POST
/
api
/
v3
/
servers
/
{instance_id}
/
backfill
/
lock
Close backfill (server-authoritative)
curl --request POST \
--url https://api.computeflow.cloud/api/v3/servers/{instance_id}/backfill/lock \
--header 'api-key: <api-key>'import requests
url = "https://api.computeflow.cloud/api/v3/servers/{instance_id}/backfill/lock"
headers = {"api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'api-key': '<api-key>'}};
fetch('https://api.computeflow.cloud/api/v3/servers/{instance_id}/backfill/lock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.computeflow.cloud/api/v3/servers/{instance_id}/backfill/lock",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.computeflow.cloud/api/v3/servers/{instance_id}/backfill/lock"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.computeflow.cloud/api/v3/servers/{instance_id}/backfill/lock")
.header("api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.computeflow.cloud/api/v3/servers/{instance_id}/backfill/lock")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"match_id": "<string>",
"instance_id": "<string>",
"status": "in_game",
"backfill_open": true,
"backfill_deadline": "2023-11-07T05:31:56Z",
"skill_band": {
"field": "<string>",
"min": 123,
"max": 123
},
"roster_version": 123
}{
"error": "<string>",
"status": 123,
"detail": "<string>"
}Response
Backfill closed. The roster mirror and roster_version reflect the change.
Result of a server-authoritative backfill state change.